close all; clear all; clc
X=[365.015,404.64,407.55,435.91,546.01,576.93,579.13,696.50,706]; %valores de lamba experimental
Y=[365.015, 404.656, 407.783, 435.833, 546.074, 576.960, 579.066,696.543,]; %valores de lamba teórica
N=19; %número de puntos del ajuste


%Calculo de la penmdiente y la ordenada en el origen con su error
xm=mean(X);ym=mean(Y);
sumxx=sum((X-xm).^2);sumxy=sum((X-xm).*(Y-ym));sumyy=sum((Y-ym).^2);
a=sumxy/sumxx
b=ym-a*xm
d=Y-a*X-b;
Da= sqrt(sum(d.^2)/(sumxx*(N-2)))
Db= sqrt((1/N+xm^2/sumxx)*sum(d.^2)/(N-2))
r=sumxy/(sqrt(sumxx*sumyy))

%función ajuste
yfit=a*X+b;
plot(X,Y,'ro','Markersize',5);hold on
plot(X,yfit,'k-','linewidth',1);
xlabel('Longitud de onda experimental (nm)');
ylabel('Longitud de onda teórica (nm)');

%rango representación ejes
minX=min(X);maxX=max(X);deltaX=(maxX-minX)/100;
minY=min(Y);maxY=max(Y);deltaY=(maxY-minY)/100;
xlim([minX-2*deltaX maxX+2*deltaX]);ylim([minY-2*deltaY maxY+2*deltaY]);

%Cálculo de errores
Dlamba2=(365.015)^2*Da^2+1.*Db^2;








